// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FStructProperty.h"
#include "ISCW_FProperty.h"
#include "SCW_FProperty.h"

class FStructProperty;

namespace Sourcify
{
	class SCW_FStructProperty : public SCW_FProperty, public virtual ISCW_FStructProperty
	{
	public:
		SCW_FStructProperty(FStructProperty* InStructProperty);

		ISCW_FPropertyPtr AsProperty() const override;

		ISCW_UScriptStructPtr GetStruct() const override;
		
		FStructProperty* ToFStructProperty() const;

	protected:
		FStructProperty* StructProperty;
	};
} // namespace Sourcify